# Put variables for your installation that override defaults here

# PLEASE READ http://wiki.laptop.org/go/IIAB/local_vars.yml
# SEE EXAMPLE http://download.iiab.io/6.4/rpi/local_vars.yml
# SEE EXAMPLE http://download.iiab.io/6.4/rpi/local_vars_lite.yml

# Original Idea: branch github.com/xsce/xsce-local for your deployment

# iiab_admin_user: iiab-admin

# Obtain a password hash with: python -c 'import crypt; print crypt.crypt("<plaintext>", "$6$<salt>")'
# iiab_admin_passw_hash:

iiab_hostname: box
iiab_domain: lan

iiab_home_url: /home
host_ssid: "Internet in a Box"
host_wifi_mode: g
host_channel: 6
hostapd_secure: False
hostapd_password: changeme

dns_jail_enabled: False

# Enables "campus access" to kiwix (3000), kalite (8008) & calibre (8010 or
# 8080) on WAN side of server. See network/templates/gateway/iiab-gen-iptables
# within github.com/iiab/iiab/blob/master/roles/
services_externally_visible: True

# Make this True if client machines should have access to WAN/Internet:
iiab_gateway_enabled: False

# Make this True if you want http://box/common/services/power_off.php to work:
allow_apache_sudo: True

# 3-BASE

squid_install: False
squid_enabled: False

dansguardian_install: False
dansguardian_enabled: False

wondershaper_install: False
wondershaper_enabled: False

# 4-SERVER-OPTIONS

authserver_install: False
authserver_enabled: False

# SECURITY WARNING: See http://wiki.laptop.org/go/IIAB/Security
openvpn_install: True
openvpn_enabled: True
# The following seems necessary on CentOS:
# openvpn_cron_enabled: True
# If changing the above, remember to run "cd /opt/iiab/iiab; ./runtags openvpn"

samba_install: False
samba_enabled: False

# WARNING: Josh Dennis [April 2017] warns that CUPS printing can block Ansible
cups_install: False
cups_enabled: False

# 5-XO-SERVICES

# Change calibre_port from 8080 to 8010 below, if you enable idmgr
idmgr_install: False
idmgr_enabled: False

xo_services_install: False
xo_services_enabled: False

ejabberd_install: False
ejabberd_enabled: False

# 6-GENERIC-APPS

phpmyadmin_install: False
phpmyadmin_enabled: False

elgg_install: False
elgg_enabled: False

owncloud_install: False
owncloud_enabled: False

nextcloud_install: False
nextcloud_enabled: False

wordpress_install: False
wordpress_enabled: False

dokuwiki_install: False
dokuwiki_enabled: False

# 7-EDU-APPS

# OpenStreetMap: renamed from {iiab_install, iiab_enabled} in June 2017
osm_install: False
osm_enabled: False

kiwix_serve_install: True
kiwix_serve_enabled: True

kalite_install: True
kalite_enabled: True
kalite_cron_enabled: True

# Might stall MongoDB on Power Failure: github.com/xsce/xsce/issues/879
sugarizer_install: False
sugarizer_enabled: False

calibre_install: False
calibre_enabled: False
# Change calibre_port to 8010 if you're using XO laptops needing above idmgr
calibre_port: 8080

# Change to True if you have disk space & don't mind Ansible's ~15 min delay
moodle_install: False
moodle_enabled: False

pathagar_install: False
pathagar_enabled: False

# 8-MGMT-TOOLS

schooltool_install: False
schooltool_enabled: False

debian_schooltool_install: False
debian_schooltool_enabled: False

sugar_stats_install: False
sugar_stats_enabled: False

ajenti_install: False
ajenti_enabled: False

munin_install: True
munin_enabled: True

monit_install: False
monit_enabled: False

xovis_install: False
xovis_enabled: False

teamviewer_install: False
teamviewer_enabled: False

vnstat_install: True
vnstat_enabled: True

awstats_install: True
awstats_enabled: True

activity_server_install: False
activity_server_enabled: False
